
CREATE TABLE VPVPD (P_TASK       INTEGER   NOT NULL, \
                                 M_MACH_SN        CHAR(12)   NOT NULL, \
                                 M_MACH_TY        CHAR(4), \
                                 M_MODEL_N        CHAR(3), \
                                 M_CLUSTER_N      SMALLINT  NOT NULL, \
                                 M_RAM            INTEGER, \
                                 M_NVS            INTEGER, \
                                 P_CDATE          DATE, \
                                 P_CTIME          TIME, \
                                 PRIMARY KEY(P_TASK,M_MACH_SN, \
                                             M_CLUSTER_N))


CREATE TABLE VPCFG (P_TASK       INTEGER   NOT NULL, \
                                 M_MACH_SN        CHAR(12)   NOT NULL, \
                                 M_CLUSTER_N      SMALLINT  NOT NULL, \
                                 M_CARD_NUM       SMALLINT  NOT NULL, \
                                 M_LSS_LA         INTEGER   NOT NULL, \
                                 M_ARRAY_ID       CHAR(8)   NOT NULL, \
                                 M_LOOP_ID        CHAR(1), \
                                 M_GRP_NUM        SMALLINT, \
                                 M_DISK_NUM       SMALLINT, \
                                 M_DBL_WIDE       CHAR(1)   NOT NULL DEFAULT 'S', \                    
                                 M_DDM_NUM        INTEGER   NOT NULL  DEFAULT -1, \
                                 M_STOR_TYPE      SMALLINT  NOT NULL  DEFAULT -1, \
                                 M_DDM_SIZE       INTEGER   NOT NULL  DEFAULT -1, \
                                 M_DDM_SPEED       INTEGER   NOT NULL  DEFAULT -1, \                       
                                 PRIMARY KEY(P_TASK,M_MACH_SN, \
                                             M_CLUSTER_N,M_CARD_NUM, \
                                             M_LSS_LA,M_ARRAY_ID))

CREATE TABLE VPVOL (P_TASK          INTEGER   NOT NULL, \
                                 M_MACH_SN        CHAR(12)   NOT NULL, \
                                 M_LSS_LA         INTEGER   NOT NULL, \
                                 M_VOL_NUM        INTEGER   NOT NULL, \
                                 M_VOL_TY         CHAR(1), \
                                 M_VOL_ADDR       CHAR(8), \
                                 PRIMARY KEY(P_TASK,M_MACH_SN, \
                                             M_LSS_LA,M_VOL_NUM))



CREATE TABLE VPCLUS( \
	P_TASK			INTEGER		NOT NULL, \
	PC_INDEX		INTEGER		NOT NULL, \
	M_MACH_SN		CHAR(12)	NOT NULL, \
	M_CLUSTER_N		SMALLINT	NOT NULL, \	
	PC_DATE_B		DATE		NOT NULL, \
	PC_TIME_B		TIME		NOT NULL, \
	PC_DATE_E		DATE, \
	PC_TIME_E		TIME, \
	Q_CL_AVG_HOLD_TIME	INTEGER		NOT NULL DEFAULT -1, \
	Q_CL_NVS_FULL_PRCT	INTEGER		NOT NULL DEFAULT -1, \
	Q_CL_IO_RATE		INTEGER		NOT NULL DEFAULT -1, \
	TIME_LEVEL         	CHAR(1)   	NOT NULL DEFAULT 'S', \
	THRESHOLDS		CHAR(8), \
	ISEXCEPTION 		CHAR(1) DEFAULT '0', \
	PC_DEV_DATE_B		DATE		NOT NULL, \
	PC_DEV_TIME_B		TIME		NOT NULL, \
	PC_DEV_DATE_E		DATE, \
	PC_DEV_TIME_E		TIME, \
	PRIMARY KEY(P_TASK,PC_INDEX,M_MACH_SN, \
			M_CLUSTER_N, \
			PC_DATE_B,PC_TIME_B))


CREATE TABLE VPCRK (P_TASK          INTEGER    NOT NULL, \
                                 PC_INDEX         INTEGER    NOT NULL, \
                                 M_MACH_SN        CHAR(12)    NOT NULL, \
                                 M_CLUSTER_N      SMALLINT   NOT NULL, \
                                 M_LSS_LA         INTEGER    NOT NULL, \
                                 M_ARRAY_ID       CHAR(8)    NOT NULL, \
                                 M_DDM_NUM        SMALLINT, \
                                 PC_DATE_B        DATE       NOT NULL, \
                                 PC_TIME_B        TIME       NOT NULL, \
                                 PC_DATE_E        DATE, \
                                 PC_TIME_E        TIME, \
                                 PC_IO_WRITE      INTEGER, \
                                 PC_IO_READ       INTEGER, \
                                 PC_RT_READ       INTEGER, \
                                 PC_RT_WRITE      INTEGER, \
                                 PC_IOR_AVG       INTEGER, \
                                 PC_MSR_AVG       INTEGER, \
                                 PC_RBT_AVG       INTEGER, \
                                 PC_WBT_AVG       INTEGER, \
                                 Q_SAMP_DEV_UTIL  SMALLINT   NOT NULL DEFAULT -1, \
                                 PC_INT_SECS      SMALLINT, \
                                 PC_B_HR_PRCT     SMALLINT   NOT NULL DEFAULT 100, \
                                 P_OWNER          INTEGER, \
                                 P_COMM           SMALLINT, \
                                 Q_IO_TOTAL       DOUBLE     NOT NULL DEFAULT -1, \
                                 Q_IO_SEQ         DOUBLE     NOT NULL DEFAULT -1, \
				 M_CARD_NUM         SMALLINT NOT NULL, \
				 M_LOOP_ID          CHAR(1)  NOT NULL, \
				 M_GRP_NUM          SMALLINT NOT NULL, \
				 M_DISK_NUM         SMALLINT NOT NULL DEFAULT 0, \
				 TIME_LEVEL         CHAR(1)   NOT NULL DEFAULT 'S', \
				 THRESHOLDS	    CHAR(8), \
				 ISEXCEPTION 		CHAR(1) DEFAULT '0', \
				PC_DEV_DATE_B		DATE		NOT NULL, \
				PC_DEV_TIME_B		TIME		NOT NULL, \
				PC_DEV_DATE_E		DATE, \
				PC_DEV_TIME_E		TIME, \				 							 				 
                                 PRIMARY KEY(P_TASK,PC_INDEX,M_MACH_SN, \
                                             M_CLUSTER_N,M_LSS_LA, \
                                             M_ARRAY_ID,PC_DATE_B, \
                                             PC_TIME_B))



CREATE TABLE VPCCH (P_TASK          INTEGER    NOT NULL, \
                                 PC_INDEX         INTEGER    NOT NULL, \
                                 M_MACH_SN        CHAR(12)    NOT NULL, \
                                 M_CLUSTER_N      SMALLINT   NOT NULL, \
                                 M_LSS_LA         INTEGER    NOT NULL, \
                                 M_ARRAY_ID       CHAR(8)    NOT NULL, \
                                 M_VOL_NUM        INTEGER    NOT NULL, \
                                 PC_DATE_B        DATE       NOT NULL, \
                                 PC_TIME_B        TIME       NOT NULL, \
                                 PC_DATE_E        DATE, \
                                 PC_TIME_E        TIME, \
                                 PC_N_IO_R        INTEGER, \
                                 PC_N_IO_W        INTEGER, \
                                 PC_N_CH_R        INTEGER, \
                                 PC_N_CH_W        INTEGER, \
                                 PC_S_IO_R        INTEGER, \
                                 PC_S_IO_W        INTEGER, \
                                 PC_S_CH_R        INTEGER, \
                                 PC_S_CH_W        INTEGER, \
                                 PC_D2C           INTEGER, \
                                 PC_SEQ_D2C       INTEGER, \
                                 PC_C2D           INTEGER, \
                                 PC_RHR_AVG       SMALLINT, \
                                 PC_WHR_AVG       SMALLINT, \
                                 PC_THR_AVG       SMALLINT, \
                                 PC_SHR_AVG       SMALLINT, \
                                 PC_NHR_AVG       SMALLINT, \
                                 PC_RMR_IO        INTEGER, \
                                 PC_RMR_CH        INTEGER, \
                                 PC_RMRHR_AVG     SMALLINT, \ 
                                 PC_DFW_IO        INTEGER, \
                                 PC_DFW_DELAY     INTEGER, \
                                 PC_DFW_DELAY_PRCT  SMALLINT, \
                                 PC_INT_SECS      SMALLINT, \
                                 PC_B_HR_PRCT     SMALLINT   NOT NULL DEFAULT 100, \
                                 P_OWNER          INTEGER, \
                                 P_COMM           SMALLINT, \
                                 PC_Q_W_PR        INTEGER    NOT NULL DEFAULT 0, \				 
				 M_CARD_NUM         SMALLINT NOT NULL, \
				 M_LOOP_ID          CHAR(1)  NOT NULL, \
				 M_GRP_NUM          SMALLINT NOT NULL, \
				 M_DISK_NUM         SMALLINT NOT NULL DEFAULT 0, \	
				 M_VOL_TY           CHAR(1), \
				 M_VOL_ADDR         CHAR(8), \			 
				 TIME_LEVEL         CHAR(1)   NOT NULL DEFAULT 'S', \
				PC_DEV_DATE_B		DATE		NOT NULL, \
				PC_DEV_TIME_B		TIME		NOT NULL, \
				PC_DEV_DATE_E		DATE, \
				PC_DEV_TIME_E		TIME, \				 
                                 PRIMARY KEY(P_TASK,PC_INDEX,M_MACH_SN, \
                                             M_CLUSTER_N, M_LSS_LA, \
                                             M_ARRAY_ID,M_VOL_NUM, \
                                             PC_DATE_B,PC_TIME_B))



CREATE TABLE VTHRESHOLD (METRIC CHAR(30) NOT NULL, \
                                 SCOPE  CHAR(40) NOT NULL, \
	                         TYPE CHAR(1) WITH DEFAULT 'U', \
	                         CVALUE   REAL, \
	                         WVALUE  REAL, \
	                         CHECKING CHAR(1), \
	                         TOALERT CHAR(1), \
	                         SUPPRESSINTERVAL INTEGER, \
	                         PRIMARY KEY(METRIC, SCOPE))

insert into vthreshold values ('Q_SAMP_DEV_UTIL_DG','IBMRecommended','U',80.0,50.0,'Y','N',120)
insert into vthreshold values ('Q_CL_AVG_HOLD_TIME','IBMRecommended','L',30.0,60.0,'Y','N',120)
insert into vthreshold values ('Q_CL_NVS_FULL_PRCT','IBMRecommended','U',10.0,3.0,'Y','N',120)
insert into vthreshold values ('Q_IO_SEQ_PRCT_DG','IBMRecommended','U',80.0,80.0,'Y','N',120)
insert into vthreshold values ('Q_CL_IO_RATE','IBMRecommended','U',-1,-1,'N','N',120)


CREATE TABLE VPMETINF ( \
                              ID CHAR(40) NOT NULL, \
                              HEADING CHAR(50) WITH DEFAULT, \
                              METRICNAME CHAR(254) WITH DEFAULT, \
                              METRICTYPE   CHAR(40) WITH DEFAULT, \
                              DBTABLE  CHAR(20) NOT NULL, \
                              SUMMARYTYPE  CHAR(2) WITH DEFAULT, \
                              THRESH_TYPE  CHAR(1) WITH DEFAULT, \
                              THRESH_CVALUE  CHAR(30) WITH DEFAULT, \ 
                              THRESH_WVALUE  CHAR(30) WITH DEFAULT, \ 
                              ENABLED  CHAR(1) WITH DEFAULT, \ 
                              DIS_PRECISION  CHAR(3) WITH DEFAULT, \
                              COLUMN_TYPE  CHAR(20) WITH DEFAULT, \
                              IS_GAUGE  CHAR(1) WITH DEFAULT, \
                              PRIMARY KEY(ID, DBTABLE))

insert into vpmetinf values ('S_LV_DATE', \
'Date','VPCCH.PC_DATE_B','TYPE_DATE','VPCCH','0','U','U','U','N','0','TYPE_KEY','0')

insert into vpmetinf values ('S_VOL_NUM', \
'VolumeNumber','VPCCH.M_VOL_NUM','TYPE_INTEGER','VPCCH','0','U','U','U','N','0','TYPE_KEY','0')

insert into vpmetinf values ('S_SCSI_S390', \
'VolumeAddress','VPCCH.M_VOL_ADDR','TYPE_STRING','VPCCH','0','U','U','U','N','0','TYPE_KEY','0')

insert into vpmetinf values ('START_TIME', \
'StartTime','VPCCH.PC_TIME_B','TYPE_TIME','VPCCH','0','U','U','U','N','0','TYPE_KEY','0')

insert into vpmetinf values ('END_TIME', \
'EndTime','VPCCH.PC_TIME_E','TYPE_TIME','VPCCH','0','U','U','U','N','0','TYPE_KEY','0')

insert into vpmetinf values ('S_IO_REQ_PERSEC', \
'IORequestsPerSecond','(VPCCH.PC_N_IO_R + VPCCH.PC_N_IO_W + VPCCH.PC_S_IO_R + VPCCH.PC_S_IO_W + 0.0001)/(VPCCH.PC_INT_SECS + 0.0001)','TYPE_INTEGER','VPCCH','0','U','U','U','N','0','TYPE_METRIC','0')

insert into vpmetinf values ('S_NORMAL_READ_PERCENT', \
'ReadNormal','(Float(sum(PC_N_IO_R) * 100))/(sum(PC_N_IO_R)+sum(PC_N_IO_W)+sum(PC_S_IO_R)+sum(PC_S_IO_W) + 0.0001)','TYPE_FLOAT','VPCCH','0','U','U','U','N','1','TYPE_METRIC','0')

insert into vpmetinf values ('S_SEQ_READ_PERCENT', \
'ReadSequential','(Float(sum(PC_S_IO_R) * 100))/(sum(PC_N_IO_R)+sum(PC_N_IO_W)+sum(PC_S_IO_R)+sum(PC_S_IO_W) + 0.0001)','TYPE_FLOAT','VPCCH','0','U','U','U','N','1','TYPE_METRIC','0')

insert into vpmetinf values ('S_NORMAL_WRITE_PERCENT', \
'WriteNormal','(Float(sum(PC_N_IO_W) * 100))/(sum(PC_N_IO_R)+sum(PC_N_IO_W)+sum(PC_S_IO_R)+sum(PC_S_IO_W) + 0.0001)','TYPE_FLOAT','VPCCH','0','U','U','U','N','1','TYPE_METRIC','0')

insert into vpmetinf values ('S_SEQ_WRITE_PERCENT', \
'WriteSequential','(Float(sum(PC_S_IO_W) * 100))/(sum(PC_N_IO_R)+sum(PC_N_IO_W)+sum(PC_S_IO_R)+sum(PC_S_IO_W) + 0.0001)','TYPE_FLOAT','VPCCH','0','U','U','U','N','1','TYPE_METRIC','0')

insert into vpmetinf values ('S_RMODE_READ_PERCENT', \
'RecordModeRead','(Float(sum(PC_RMR_IO) * 100))/(sum(PC_N_IO_R)+sum(PC_N_IO_W)+sum(PC_S_IO_R)+sum(PC_S_IO_W) + 0.0001)','TYPE_FLOAT','VPCCH','0','U','U','U','N','1','TYPE_METRIC','0')

insert into vpmetinf values ('S_NVS_CFULL_PERCENT', \
'NVSCacheFull','(Float(sum(PC_DFW_DELAY) * 100))/(sum(PC_N_IO_R)+sum(PC_N_IO_W)+sum(PC_S_IO_R)+sum(PC_S_IO_W) + 0.0001)','TYPE_FLOAT','VPCCH','0','U','U','U','N','1','TYPE_METRIC','0')

insert into vpmetinf values ('S_TOTAL_HIT_RATIO', \
'CacheHitRatio.Total','Float((sum(PC_N_CH_R)+sum(PC_N_CH_W)+sum(PC_S_CH_R)+sum(PC_S_CH_W))/(sum(PC_N_IO_R)+sum(PC_N_IO_W)+sum(PC_S_IO_R)+sum(PC_S_IO_W) + 0.0001))','TYPE_FLOAT','VPCCH','0','U','U','U','N','3','TYPE_METRIC','0')

insert into vpmetinf values ('S_READ_HIT_RATIO', \
'CacheHitRatio.Read','Float((sum(PC_N_CH_R)+sum(PC_S_CH_R))/(sum(PC_N_IO_R)+sum(PC_S_IO_R)+0.0001))','TYPE_FLOAT','VPCCH','0','U','U','U','N','3','TYPE_METRIC','0')

insert into vpmetinf values ('S_WRITE_HIT_RATIO', \
'CacheHitRatio.Write','Float((sum(PC_N_CH_R)+sum(PC_S_CH_R))/(sum(PC_N_IO_R)+sum(PC_S_IO_R)+0.0001))','TYPE_FLOAT','VPCCH','0','U','U','U','N','3','TYPE_METRIC','0')

insert into vpmetinf values ('S_PERCENT_READ_REQ', \
'PercentReadRequests','Float((VPCCH.PC_N_IO_R + VPCCH.PC_S_IO_R) / (VPCCH.PC_N_IO_R + VPCCH.PC_N_IO_W + VPCCH.PC_S_IO_R + VPCCH.PC_S_IO_W + 0.0001))','TYPE_FLOAT','VPCCH','0','U','U','U','N','0','TYPE_METRIC','0')




CREATE TABLE VPTABINF ( \
                              ID CHAR(40) NOT NULL, \ 
                              KEYNUM INTEGER         NOT NULL, \
                              KEYFIELDS CHAR(254) WITH DEFAULT, \
                              PRIMARY KEY(ID)   )

insert into vptabinf values ('VCMTOP1', \
1,'I_VSM_IDX')

insert into vptabinf values ('VPHVOL', \
10,'I_PR_SEQ_IDX, I_MACH_IDX, I_CLUSTER_NO, I_CARD_NO, I_LOOP_ID, I_DISK_GRP_NO, I_DISK_NUM, I_VOL_NUM, D_PR_DATE, I_PR_HOUR')

insert into vptabinf values ('VPHCLCAC', \
5,'I_PR_SEQ_IDX,I_MACH_IDX, I_CLUSTER_NO, D_PR_DATE, I_PR_HOUR')

insert into vptabinf values ('VPCCH', \
9,'P_TASK, PC_INDEX, M_MACH_SN, M_CLUSTER_N, M_LSS_LA, M_ARRAY_ID, M_VOL_NUM, PC_DATE_B, PC_TIME_B')

