CREATE TABLE NPCLUSTER( \
	I_TASK_SEQ_IDX		INTEGER        NOT NULL, \
	DEVICE_SN		VARCHAR(32)	NOT NULL, \ 
	I_CL_NNODES		SMALLINT, \
	I_CL_CNODES		SMALLINT, \	
	I_CL_MODEL		CHAR(10)	NOT NULL, \
	I_CL_VERSION		CHAR(10)        NOT NULL, \
	I_CL_IP			CHAR(20), \
	I_CL_PORT		SMALLINT, \
	I_CL_TZ		        CHAR(40), \ 
	I_CL_DNS		CHAR(128), \
	I_CL_NETNAME		CHAR(128), \
	D_TASK_DATE		DATE		NOT NULL, \
	T_TASK_TIME		TIME		NOT NULL, \
	PRIMARY KEY(DEVICE_SN, D_TASK_DATE, T_TASK_TIME))



CREATE TABLE NPDEVICE( \
	I_TASK_SEQ_IDX		INTEGER        NOT NULL, \
	DATE				DATE		NOT NULL, \   
	TIME				TIME		NOT NULL, \
	DEVICE_SN			VARCHAR(32)	NOT NULL, \  
	MAS_SERVER_NAME           	VARCHAR(255)    NOT NULL, \  
	INT_SECS      			SMALLINT, \
	TOT_DATA_TRANS_RATE		REAL,  \
	AVG_DATA_TRANS_RATE		REAL,  \
	MAX_DATA_TRANS_RATE		REAL,  \
	MIN_DATA_TRANS_RATE		REAL,  \
	TOT_DATA_TRANS_RATE_UP 		REAL,  \
	AVG_DATA_TRANS_RATE_UP		REAL,  \
	MAX_DATA_TRANS_RATE_UP		REAL,  \
	MIN_DATA_TRANS_RATE_UP		REAL,  \
	TOT_MAS_DATA_TRANS_RATE		REAL,  \
	TOT_MAS_DATA_TRANS_RATE_UP 	REAL,  \
	PRIMARY KEY(DATE,TIME, DEVICE_SN))

CREATE TABLE NPMETASERVER( \
	I_TASK_SEQ_IDX		INTEGER        NOT NULL, \
	DATE				DATE		NOT NULL, \
	TIME				TIME		NOT NULL, \
	DEVICE_SN			VARCHAR(32)	NOT NULL, \    	
	MTSERVER_NAME           	VARCHAR(255)    NOT NULL, \  
	INT_SECS      			SMALLINT, \
	DATA_TRANS_RATE	 		REAL,  \
	DATA_TRANS_RATE_UP		REAL,  \
	TOT_BUF				INTEGER,  \
	CLEAN_BUF			INTEGER,  \
	DIRTY_BUF			INTEGER,  \
	FREE_BUF			INTEGER,  \
	THRESHOLDS			CHAR(8), \
	ISEXCEPTION 			CHAR(1) DEFAULT '0', \
	PRIMARY KEY(DATE,TIME, DEVICE_SN, MTSERVER_NAME))

CREATE TABLE NTHRESHOLD ( \
	METRIC 				CHAR(30)	 NOT NULL, \
        SCOPE  				VARCHAR(255) 	NOT NULL, \
        TYPE 				CHAR(1) WITH DEFAULT 'U', \
        CVALUE   			REAL, \
        WVALUE 				REAL, \
        CHECKING 			CHAR(1), \
        TOALERT 			CHAR(1), \
        SUPPRESSINTERVAL 		INTEGER, \
        PRIMARY KEY(METRIC, SCOPE))	

insert into NTHRESHOLD values ('DATA_TRANS_RATE_MT','IBMRecommended','U',-1,-1,'N','N',120)
insert into NTHRESHOLD values ('DATA_TRANS_RATE_UP_MT','IBMRecommended','U',-1,-1,'N','N',120)
	                                          

CREATE TABLE NPDEVICE_MSERVERID( \
	I_TASK_SEQ_IDX		INTEGER        NOT NULL, \
	DATE				DATE		NOT NULL, \   
	TIME				TIME		NOT NULL, \
	DEVICE_SN			VARCHAR(32)	NOT NULL, \    
	MTSERVER_NAME      	 	VARCHAR(255)    NOT NULL, \	
	METRIC_ID       		CHAR(40)	NOT NULL, \
	METRIC_TYPE			CHAR(5), \
	PRIMARY KEY(DATE,TIME, DEVICE_SN,  MTSERVER_NAME, METRIC_ID))
	